using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sudar_brojeva
{
    class Program
    {
        static void Main(string[] args)
        {
            string broj1 = Console.ReadLine();
            string broj2 = Console.ReadLine();
            string pomocni;
            if(broj1.Length < broj2.Length)
            {
                pomocni = broj1;
                broj1 = broj2;
                broj2 = pomocni;
            }
            int brojac = 0;
            for(;brojac < broj1.Length - broj2.Length; brojac++)
            {
                Console.Write(broj1[brojac]);
            }
            for (int i = 0; i < broj2.Length; i++)
            {
                int cifra1 = int.Parse(broj1[i+brojac].ToString());
                int cifra2 = int.Parse(broj2[i].ToString());
                if (cifra1 != cifra2)
                {
                    Console.Write(Math.Max(cifra1,cifra2));
                }
                else
                {
                    Console.Write(cifra2 + "" + cifra1);
                }
            }
        }
    }
}